<?php
// don't ever call this file directly!
if( strpos( $_SERVER["REQUEST_URI"], 'index-install.php' ) ) {
	header( "Location: index.php" );
	exit();
}

if( $_SERVER[ 'HTTP_HOST' ] == 'localhost' ) {
die( "<h2>Внимание!</h2> Установка в http://localhost/ не поддерживается. Пожалуйста используйте вместо этого <a href='http://localhost.localdomain/'>http://localhost.localdomain/</a>." );
}

define('WP_INSTALLING', true);

$dirs = array( dirname(__FILE__), dirname(__FILE__) . "/wp-content/" );

function printheader() {
	?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>WordPress &rsaquo; Installation</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

		<style media="screen" type="text/css">
		html {
			background: #eee;
		}
		body {
			background: #fff;
			color: #000;
			font-family: Georgia, "Times New Roman", Times, serif;
			margin-left: 20%;
			margin-right: 20%;
			padding: .2em 2em;
		}

		h1, h2 {
			color: #006;
	   		font-size: 18px;
	   		font-weight: lighter;
		}

		p, li, dt {
			line-height: 140%;
			padding-bottom: 2px;
		}

		ul, ol {
			padding: 5px 5px 5px 20px;
		}
		#logo {
			margin-bottom: 2em;
		}
		.step a, .step input {
			font-size: 2em;
		}
		.step, th {
			text-align: right;
		}
		#footer {
			text-align: center; border-top: 1px solid #ccc; padding-top: 1em; font-style: italic;
		}
		.fakelink {
			color: #00a;
       			text-decoration: underline;
		}
		</style>
	</head>
	<body>
		<h1><img src="wp-includes/images/wordpress-mu.png" alt="WordPress &micro;" /></h1>
		<?php
}

function filestats( $err ) {
	print "<h1>Информация о сервере</h1>";
	print "<p>Если вы пишите сообщение в форум поддержки &micro; по адресу <a target='_blank' href='http://mu.wordpress.org/forums/'>http://mu.wordpress.org/forums/</a> тогда скопируйте и вставьте следующую информацию в ваше сообщение:</p>";

	print "<blockquote style='background: #eee; border: 1px solid #333; padding: 5px;'>";
	print "<br /><strong>ОШИБКА: $err</strong></br >";
	clearstatcache();
	$files = array( "htaccess.dist", ".htaccess" );
	
	foreach ( (array) $files as $val ) {
		$stats = @stat( $val );
		if( $stats ) {
			print "<h2>$val</h2>";
			print "&nbsp;&nbsp;&nbsp;&nbsp;uid/gid: " . $stats[ 'uid' ] . "/" . $stats[ 'gid' ] . "<br />\n";
			print "&nbsp;&nbsp;&nbsp;&nbsp;size: " . $stats[ 'size' ] . "<br />";
			print "&nbsp;&nbsp;&nbsp;&nbsp;perms: " . substr( sprintf('%o', fileperms( $val ) ), -4 ) . "<br />";
			print "&nbsp;&nbsp;&nbsp;&nbsp;readable: ";
			print is_readable( $val ) == true ? "yes" : "no";
			print "<br />";
			print "&nbsp;&nbsp;&nbsp;&nbsp;writeable: ";
			print is_writeable( $val ) == true ? "yes" : "no";
			print "<br />";
		} elseif( file_exists( $val ) == false ) {
			print "<h2>$val</h2>";
			print "&nbsp;&nbsp;&nbsp;&nbsp;ФАЙЛ НЕ НАЙДЕН: $val<br>";
		}
	}
	print "</blockquote>";
}

function do_htaccess( $oldfilename, $newfilename, $base, $url ) {
	// remove ending slash from $base and $url
	$htaccess = '';
	if( substr($base, -1 ) == '/') {
		$base = substr($base, 0, -1);
	}

	if( substr($url, -1 ) == '/') {
		$url = substr($url, 0, -1);
	}
	$err = '';
	if( is_file( $oldfilename ) ) {
		$fp = @fopen( $oldfilename, "r" );
		if( $fp ) {
			while( !feof( $fp ) )
			{
				$htaccess .= fgets( $fp, 4096 );
			}
			fclose( $fp );
			$htaccess = str_replace( "BASE", $base, $htaccess );
			if( touch( $newfilename ) ) {
				$fp = fopen( $newfilename, "w" );
				if( $fp ) {
					fwrite( $fp, $htaccess );
					fclose( $fp );
				} else {
					$err = "could not open $newfilename for writing";
				}
			} else {
				$err = "could not open $newfilename for writing";
			}
		} else {
			$err = "could not open $oldfilename for reading";
		}
	} else {
		$err = "$oldfilename not found";
	}

	if( $err != '' ) {
		print "<h1>Внимание!</h1>";
		print "<p><strong>Проблема при создании файла .htaccess .</strong> </p>";
		print "<p style='color: #900'>Ошибка: ";
		if( $err == "could not open $newfilename for writing" ) {
			print "Невозможно записать в файл $newfilename.";
		} elseif( $err == "could not open $oldfilename for reading" ) {
			print "Невозможно прочитать из файла $oldfilename. ";
		} elseif( $err == "$oldfilename not found" ) {
			print "Файл, $oldfilename не найден.";
		}
		print "</p>";
		filestats( $err );

		print "<p>Пожалуйста, убедитесь что ваш web-сервер может записывать в эту папку.</p>";
		print "<p>Если вы используете Cpanel, тогда прочитайте <a href='http://mu.wordpress.org/forums/topic.php?id=99'>эту запись</a>. Cpanel создаст файлы, которые мне нужно перезаписать и вы исправите это.</p>";
		print "<p>Если это пройдет неудачно, то вы можете создать его вручную:";
		print "<ul>
			<li> Скачайте htaccess.dist на свой компьютер и откройте в любимом текстовом редакторе.</li>
			<li> Замените следующий текст:
			<ul>
			<li>BASE на '$base'</li>
			<li>HOST на '$url'</li>
			</ul>
			</li>
			<li> Переименуйте htaccess.dist в .htaccess и загрузите его назад на сервер в ту же папку.</li>
			</ul>";
		die( "Установка прервана!" );
	}
}

function checkdirs() {
	global $dirs;
	$return = true;

	$errors = array();
	foreach( (array) $dirs as $dir ) {
		if( false == is_writeable( $dir ) ) {
			$errors[] = $dir;
		}
	}

	if( !empty( $errors ) ) {
		?>
		<h2>Внимание!</h2>
		<div style='border: 1px solid #ccc'>
		<p style='font-weight: bold; padding-left: 10px'>Одна или несколько папок должны быть открыты для записи web-сервером. Вы будете уведомлены чтобы восстановить исходные разрешения в конце установки.<br>
		Пожалуйста выполните <code>chmod 777 <q>directory-name</q></code> или <code>chown</code> для этих папок для пользователя web-сервера (обычно nobody, apache, или www-data)<br>
		Обновите эту страницу когда все будет готово!<br></p>
		</div>
		<p>Быстрое исправление:<br /> <code>chmod&nbsp;777&nbsp;<?php
		foreach( $errors as $dir ) {
			echo "$dir&nbsp;";
		}
		?></code>
		</p>
		</div>
		<?php
		$return = false;
	}
	
	if( file_exists( "./.htaccess" ) && is_writeable( "./.htaccess" ) == false ) {
		?>
		<h2>Внимание! .htaccess уже существует.</h2>
		<div style='border: 1px solid #ccc'>
			<p style='font-weight: bold; padding-left: 10px'>Файл с именем '.htaccess' уже существует в этой папке и я не могу перезаписать его. Пожалуйста, зайдите по ftp на сервер и удалите этот файл из папки!<br /> Нарушающий работу файл: " . realpath( '.htaccess' ) . "</p>
		</div>
		<?php
		$return = false;
	}
	
	return $return;
}

function step1() {
	?>
	<h2>Установка WordPress &micro;</h2>
	<p><strong>Добро пожаловать в WordPress &micro;.</strong> Я помогу вам установить это программное обеспечение, задав вам несколько вопросов и попросив вас изменить разрешения на несколько папок, чтобы я мог создать конфигурационный файл и папку для хранения всех ваших загружаемых файлов.</p>
	<p>Если вы имели установленную однопользовательскую версию WordPress ранее, пожалуста помните что установщик WordPress &micro; отличается и при попытке создать файл конфигурации wp-config.php самостоятельно, вы можете нарушить работу сайта. Намного проще использовать установщик чтобы получить хорошую работу.</p>
	
	<h3>Что мне нужно?</h3>
	<ul>
		<li>Доступ к вашему серверу для изменения разрешений. Вы можете сделать это например через ssh или ftp.</li>
		<li>Работающий адрес электронной почты куда мы вышлем ваш логин и пароль.</li>
		<li>Пустую базу MySQL. Таблицы начинаются с префикса <code>wp_</code> , которые могут конфликтовать с существующей инсталляцией WordPress.</li>
		<li> Wildcard dns записи, если вы хотите использовать функционал виртуальных хостов. Прочитайте <a href='README.txt'>README</a> для деталей.</li>
	</ul>
	<?php
	$mod_rewrite_msg = "<p>Если модуль <code>mod_rewrite</code> отключен, попросите вашего администратора включить его, или посмотрите <a href='http://httpd.apache.org/docs/mod/mod_rewrite.html'>документацию Apache </a> или <a href='http://www.google.com/search?q=apache+mod_rewrite'>здесь</a> для помощи в установке.</p>";
	
	if( function_exists( "apache_get_modules" ) ) {
		$modules = apache_get_modules();
		if( in_array( "mod_rewrite", $modules ) == false ) {
			echo "<p><strong>Внимание!</strong> Видимо mod_rewrite не установлен.</p>" . $mod_rewrite_msg;
		}
	} else {
		?><p>Пожалуйста, будьте уверены что <code>mod_rewrite</code> установлен и активирован до конца этой инсталляции.</p><?php
		echo $mod_rewrite_msg;
	}
	
	if( checkdirs() == false ) {
		return false;
	}

	// Create Blogs living area.
	@mkdir( dirname(__FILE__) . "/wp-content/blogs.dir", 0777 );

	$url = stripslashes( "http://".$_SERVER["SERVER_NAME"] . dirname( $_SERVER[ "SCRIPT_NAME" ] ) );
	if( substr( $url, -1 ) == '/' )
		$url = substr( $url, 0, -1 );
	$base = stripslashes( dirname( $_SERVER["SCRIPT_NAME"] ) );
	if( $base != "/") {
		$base .= "/";
	} 

	return true;
}

function printstep1form( $dbname = 'wordpress', $uname = 'username', $pwd = 'password', $dbhost = 'localhost', $vhost = 'yes', $prefix = 'wp_' ) {
	$weblog_title = ucfirst( $_SERVER[ 'HTTP_HOST' ] ) . ' Blogs';
	$email = '';
	$hostname = $_SERVER[ 'HTTP_HOST' ];
	if( substr( $_SERVER[ 'HTTP_HOST' ], 0, 4 ) == 'www.' )
		$hostname = str_replace( "www.", "", $_SERVER[ 'HTTP_HOST' ] );
	?>
	<form method='post' action='index.php'> 
		<input type='hidden' name='action' value='step2' />
		<h2>Адреса блогов</h2>
	<p>Пожалуйста, выберите что блоги инсталляции WordPress &micro; будут использовать: под-домены или под-директории. Вы не сможете изменить это позже. Мы рекомендуем под-домены.</p>
	<p>
		<label><input type='radio' name='vhost' value='yes' <?php if( $vhost == 'yes' ) echo 'checked '; ?> /> Под-домены (такие как <code>blog1.example.com</code>)</label><br />
		<label><input type='radio' name='vhost' value='no' <?php if( $vhost == 'no' ) echo 'checked '; ?> /> Под-директории (такие как <code>example.com/blog1</code>)</label>
	</p>

		<h2>База данных</h2>

 <p>Ниже вы должны ввести параметры для подключения к базе данных. Если вы не уверены в них, обратитесь к вашему хостеру. </p>
  <table cellpadding='5'> 
    <tr> 
      <th scope='row' width='33%'>Имя базы данных</th> 
      <td><input name='dbname' type='text' size='45' value='<?php echo $dbname ?>' /></td>  
    </tr> 
    <tr> 
      <th scope='row'>Имя пользователя MySQL</th> 
      <td><input name='uname' type='text' size='45' value='<?php echo $uname ?>' /></td> 
    </tr> 
    <tr> 
      <th scope='row'>Пароль MySQL</th> 
      <td><input name='pwd' type='text' size='45' value='<?php echo $pwd ?>' /></td> 
    </tr> 
    <tr> 
      <th scope='row'>Хост базы данных</th> 
      <td><input name='dbhost' type='text' size='45' value='<?php echo $dbhost ?>' /></td> 
    </tr>
  </table> 

		<h2>Адрес сервера</h2>
  <p><label>Какой интернет адрес вашего сайта? Вы должны ввести наиболее короткий адрес, какой только возможно. Например, используйте <em>example.com</em> вместо <em>www.example.com</em>, но если вы захотите использовать адрес такой как <em>blogs.example.com</em> тогда введите неизмененным в поле ниже.<br /><b>Адрес сервера:</b> <input type='text' name='basedomain' value='<?php echo $hostname ?>'></label></p>
  <h2>Детальные настройки сайта</h2>
  <table width='100%'> 
  <tr> 
  <th scope='row'>Заголовок сайта</th> 
  <td><input name='weblog_title' type='text' size='45' value='<?php echo $weblog_title ?>' /></td> 
  <td>Как вы хотите назвать свой сайт? </td> 
  </tr> 
  <tr> 
  <th scope='row'>Email</th> 
  <td><input name='email' type='text' size='45' value='<?php echo $email ?>' /></td> 
  <td>Ваш адрес электронной почты.</td> 
  </tr> 
  </table> 
  <p class='submit'><input name='submit' type='submit' value='Отправить' /> </p>
</form> 
	<?php
}

function step2() {
	global $base, $wpdb;

	$dbname  = stripslashes($_POST['dbname']);
	$uname   = stripslashes($_POST['uname']);
	$passwrd = stripslashes($_POST['pwd']);
	$dbhost  = stripslashes($_POST['dbhost']);
	$vhost   = stripslashes($_POST['vhost' ]);
	$prefix  = 'wp_'; // Hardcoded
	
	$base = stripslashes( dirname($_SERVER["SCRIPT_NAME"]) );
	if( $base != "/")
		$base .= "/";

	// Test the db connection.
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);

	if (!file_exists('wp-config-sample.php'))
	die('Извините, Мне нужен файл wp-config-sample.php для работы. Пожалуйста, перезагрузите этот файл из вашей инсталляции WordPress.');

	$wp_config_file = file('wp-config-sample.php');
	// We'll fail here if the values are no good.
	require_once('wp-includes/wp-db.php');
	printheader();

	$handle = fopen('wp-config.php', 'w');

	foreach ($wp_config_file as $line) {
		switch ( trim( substr($line,0,16) ) ) {
			case "define('DB_NAME'":
				fwrite($handle, str_replace("wordpress", $dbname, $line));
				break;
			case "define('DB_USER'":
				fwrite($handle, str_replace("'username'", "'$uname'", $line));
				break;
			case "define('DB_PASSW":
				fwrite($handle, str_replace("'password'", "'$passwrd'", $line));
				break;
			case "define('DB_HOST'":
				fwrite($handle, str_replace("localhost", $dbhost, $line));
				break;
			case "define('VHOST',":
				fwrite($handle, str_replace("VHOSTSETTING", $vhost, $line));
				break;
			case '$table_prefix  =':
				fwrite($handle, str_replace('wp_', $prefix, $line));
				break;
			case '$base = \'BASE\';':
				fwrite($handle, str_replace('BASE', $base, $line));
				break;
			case "define('SECRET_K":
			case "define('SECRET_S":
			case "define('LOGGED_I":
			case "define('AUTH_KEY":
			case "define('SECURE_A":
				fwrite($handle, str_replace('put your unique phrase here', md5( mt_rand() ) . md5( mt_rand() ), $line));
				break;
			default:
				fwrite($handle, $line);
				break;
		}
	}
	fclose($handle);
	chmod('wp-config.php', 0644);
	define( 'VHOST', $vhost );
}

function step3() {
	global $wpdb, $current_site, $dirs, $wpmu_version;
	$base = stripslashes( dirname( $_SERVER["SCRIPT_NAME"] ) );
	if( $base != "/") {
		$base .= "/";
	} 
	$domain =   $wpdb->escape( $_POST[ 'basedomain' ] );
	$domain = str_replace( 'http://', '', $domain );
	if( substr( $domain, 0, 4 ) == 'www.' )
		$domain = substr( $domain, 4 );
	if( strpos( $domain, '/' ) )
		$domain = substr( $domain, 0, strpos( $domain, '/' ) );
	$email = $wpdb->escape( $_POST[ 'email' ] );
	if( $email == '' )
		die( 'You must enter an email address!' );

	// set up site tables
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'site_name', '" . $wpdb->escape( $_POST[ 'weblog_title' ] ) . "')" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'admin_email', '".$email."')" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'admin_user_id', '1')" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'registration', 'none')" );
	$wpdb->query( "INSERT INTO ".$wpdb->site." ( id, domain, path ) VALUES ( NULL, '$domain', '$base' )" );
	$wpdb->query( "INSERT INTO " . $wpdb->sitecategories . " ( cat_ID, cat_name, category_nicename, last_updated ) VALUES (1, 'Новости', 'uncategorized', NOW())" );
	$wpdb->query( "INSERT INTO " . $wpdb->sitecategories . " ( cat_ID, cat_name, category_nicename, last_updated ) VALUES (2, 'Ссылки', 'blogroll', NOW())" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'upload_filetypes', 'jpg jpeg png gif mp3 mov avi wmv midi mid pdf' )" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'blog_upload_space', '10' )" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'fileupload_maxk', '1500' )" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'site_admins', '" . serialize( array( 'admin' ) ) . "' )" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'allowedthemes', '" . serialize( array( 'classic' => 1, 'default' => 1 ) ) . "' )" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'illegal_names', '" . serialize( array(  "www", "web", "root", "admin", "main", "invite", "administrator" ) ) . "' )" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'welcome_email', 'Дорогой пользователь,

Ваш новый блог SITE_NAME был успешно создан по адресу:
BLOG_URL

Вы можете войти под администраторским аккаунтом, используя следующую информацию:
 Имя пользователя: USERNAME
 Пароль: PASSWORD
Входить здесь: BLOG_URLwp-login.php

Надеемся, что вам понравится ваш новый блог. 
Спасибо!

--Команда SITE_NAME')" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'first_post', 'Добро пожаловать в <a href=\"SITE_URL\">SITE_NAME</a>.  Это Ваша первая запись. Отредактируйте или удалите ее. Затем начинайте заниматься блогингом!' )" );
	$weblog_title = stripslashes( $_POST[ 'weblog_title' ] );

	$pass = substr( md5( rand() ), 5, 12 );
	$user_id = wpmu_create_user( 'admin', $pass, $email);

	$current_site->domain = $domain;
	$current_site->path = $base;
	$current_site->site_name = ucfirst( $domain );

	wpmu_create_blog( $domain, $base, $weblog_title, $user_id, array( 'blog_public' => 1, 'public' => 1 ) );
	update_blog_option( 1, 'template', 'home');
	update_blog_option( 1, 'stylesheet', 'home');
	
	if( constant( 'VHOST' ) == 'yes' ) {
		update_blog_option( 1, 'permalink_structure', '/%year%/%monthnum%/%day%/%postname%/');
	} else {
		update_blog_option( 1, 'permalink_structure', '/blog/%year%/%monthnum%/%day%/%postname%/');
	}
	
	update_blog_option( 1, 'rewrite_rules', '');
	
	$msg = "Ваш новый сайт WordPress MU создан по адресу\nhttp://{$domain}{$base}\n\nПараметры для входа:\nИмя пользователя: admin\nПароль: $pass\nВойти: http://{$domain}{$base}wp-login.php\n";
	wp_mail( $email, "Ваш новый сайт WordPress MU готов к работе!", $msg, "From: wordpress@" . $_SERVER[ 'HTTP_HOST' ]  );
	?><h2>Установка завершена!</h2>
	<p>Поздравляем! Ваш <a href='http://<?php echo $domain . $base; ?>'>сайт WordPress &micro;</a> сконфигурирован.</p>
	<p>Вы можете <a href='wp-login.php'>войти</a> используя имя пользователя "admin" и пароль <?php echo $pass; ?></p>
	<h3>Разрешения папок</h3>
	<p>Пожалуйста помните что нужно восстановить разрешения следующих папок:<ul>
		<ul>
		<?php
		reset( $dirs );
		foreach( (array) $dirs as $dir ) {
			echo "<li>$dir</li>";
		}
		?>
		</ul>
	</p>
	<p>Вы можете попробовать использовать следующую команду для исправления разрешений, но проконсультируйтесь с вашим хостером чтобы не было сомнений:
		<br /><code>chmod&nbsp;755&nbsp;
			<?php
			reset( $dirs );
			foreach( (array) $dirs as $dir ) {
				echo "$dir&nbsp;";
			}
			?></code>
	</p>
	
	<h3>Читаем далее</h3>
	<p><ul><li>Если у вас возникли проблемы с запуском, пожалуйста воспользуйтесь поиском по форуму <a href='http://mu.wordpress.org/forums/'>WordPress &micro;</a>, где вы в большинстве случаев сможете найти решение. Пожалуйста, не пишите пока не воспользуетесь поиском. Это не вежливо.</li>
	<li>Вы можете также посетить <a href='http://trac.mu.wordpress.org/'>WordPress &micro; Trac</a>. Это наш трекер ошибок.</li></ul></p>
	<p>Спасибо за установку WordPress &micro;!<br /><br />
	
	Donncha<br />
	<code>wpmu version: <?php echo $wpmu_version ?></code></p>
	<?php
}

function nowww() {
	$nowww = str_replace( 'www.', '', $_POST[ 'basedomain' ] );
	?>
<h1>Не-www</h1>
	<p>WordPress &micro; убирает строку "www" из URL-ов сайта, используя это программное обеспечение. Ваш сайт также возможно посетить используя префикс "www" с адресом, таким как <em><?php echo $_POST[ 'basedomain' ] ?></em>, но любые ссылки не будут иметь префикса "www". Вместо этого они укажут на <?php echo $nowww ?>.</p>
	<p>Предпочтителен метод хостинга блогов без префикса "www" потому что он более компактен и прост.</p><p>Вы можете также использовать "<?php echo $_POST[ 'basedomain' ] ?>" и URL-ы такие как "www.blog1.<?php echo $nowww; ?>" для адресов вашего сайта и блогов после инсталляции, но внутренние ссылки будут использовать формат <?php echo $nowww ?>.</p>
	<p><a target='_blank' href="http://no-www.org/">www. отклонен</a>, т.к. имеется достаточно информации почему 'www.' больше не требуется.</p>
	<p>
		<form method='post'>
			<input type='hidden' name='dbname' value='<?php echo $_POST[ 'dbname' ]; ?>' />
			<input type='hidden' name='uname' value='<?php echo $_POST[ 'uname' ]; ?>' />
			<input type='hidden' name='pwd' value='<?php echo $_POST[ 'pwd' ]; ?>' />
			<input type='hidden' name='dbhost' value='<?php echo $_POST[ 'dbhost' ]; ?>' />
			<input type='hidden' name='vhost' value='<?php echo $_POST[ 'vhost' ]; ?>' />
			<input type='hidden' name='weblog_title' value='<?php echo $_POST[ 'weblog_title' ]; ?>' />
			<input type='hidden' name='email' value='<?php echo $_POST[ 'email' ]; ?>' />
			<input type='hidden' name='action' value='step2' />
			<input type='hidden' name='basedomain' value='<?echo $nowww ?>' />
			<input type='submit' value='Продолжить' />
		</form>
	</p>
	<?php
}

$action = isset($_POST[ 'action' ]) ? $_POST[ 'action' ] : null; 
switch($action) {
	case "step2":
		if( substr( $_POST[ 'basedomain' ], 0, 4 ) == 'www.' ) {
			printheader();
			nowww();
			continue;
		}
		
		// get blog username, create wp-config.php 
		step2();

		// Install Blog!
		include_once('./wp-config.php');
		include_once('./wp-admin/includes/upgrade.php');
		
		$_SERVER[ 'HTTP_HOST' ] = str_replace( 'www.', '', $_SERVER[ 'HTTP_HOST' ] ); // normalise hostname - no www.
		make_db_current_silent();
		populate_options();
		global $base;
		do_htaccess( 'htaccess.dist', '.htaccess', $base, '');
		
		step3();
	break;
	default:
		// check that directories are writeable, create wpmu-settings.php and get db auth info
		printheader();
		if( step1() ) {
			printstep1form();
		}
	break;
}
?>
<br /><br />
<div style="text-align:center;">
<a href="http://mu.wordpress.org/">WordPress &micro;</a> | <a href="http://mu.wordpress.org/forums/">Форумы поддержки</a> | Русский перевод от <a href="http://lecactus.ru/">Lecactus</a>
</div>
</body>
</html>
